<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<title> Testing Tesis</title>
	<link rel="stylesheet" href="bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" href="bootstrap/css/bootstrap-theme.min.css">
   	<script src="jquery-1.11.2.min.js" type="text/javascript"></script>
	<script src="bootstrap/js/bootstrap.min.js"></script>
	<script src="blockly-master\blockly-master\blockly_compressed.js" type="text/javascript"></script>
	<script src="blockly-master\blockly-master\blocks_compressed.js" type="text/javascript"></script>
	<script src="blockly-master\blockly-master\msg\js\es.js" type="text/javascript"></script>
	<script src="imagenes.js" type="text/javascript"></script>
	<script src="TesisBlocks.js" type="text/javascript"></script>
	<script src="blockly-master\blockly-master\javascript_compressed.js" type="text/javascript"></script>
	<script src="blockly-master\blockly-master\generators\javascript\avanzar.js" type="text/javascript"></script>
	<script src="blockly-master\blockly-master\generators\javascript\bucleWhile.js" type="text/javascript"></script>
	<script src="blockly-master\blockly-master\generators\javascript\bucleFor.js" type="text/javascript"></script>
	<script src="blockly-master\blockly-master\generators\javascript\condicionalif.js" type="text/javascript"></script>
	<script src="blockly-master\blockly-master\generators\javascript\avanzar.js" type="text/javascript"></script>
	<script src="blockly-master\blockly-master\generators\javascript\girarIzquierda.js" type="text/javascript"></script>
	<script src="blockly-master\blockly-master\generators\javascript\girarDerecha.js" type="text/javascript"></script>
	<script src="blockly-master\blockly-master\generators\javascript\logica_pare.js" type="text/javascript"></script>
	<script src="blockly-master\blockly-master\generators\javascript\logica_semaforoRojo.js" type="text/javascript"></script>
	<script src="blockly-master\blockly-master\generators\javascript\logica_semaforoNaranja.js" type="text/javascript"></script>
	<script src="blockly-master\blockly-master\generators\javascript\logica_semaforoVerde.js" type="text/javascript"></script>
	
	<script>

	$(document).ready(function(){
		var workspace = Blockly.inject('blocklyDiv',
	      {toolbox: document.getElementById('toolbox')});

	  function myUpdateFunction() {
		  var code = Blockly.JavaScript.workspaceToCode(workspace);
			 $('#mytextarea').val(code);
		}
		workspace.addChangeListener(myUpdateFunction);	
	
		$("#programarBtn").click(function(){
			
		        $("#blocklyArea").slideUp("slow", function(){ 
		      		

		        	;} );
		      
		   });
	});

	  
	</script>
</head>
<body>
	<p align="center">
	<button class="btn btn-sm btn-default" id="programarBtn">Programar</button>
	</p>
	<div id="blocklyArea">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span><span class="sr-only">Cerrar</span></button>
        <h4 class="modal-title" id="myModalLabel">Creando una nueva aventura</h4>
      </div>
	 			
            <div id="blocklyDiv" style="height: 480px; width: 600px;"></div>
            <textarea id="mytextarea" rows="10" cols="50"> </textarea>
		<xml id="toolbox" style="display: none">
		  <category name="Core">
		    <category name="Control">
		      <block type="avanzar"></block>
		      <block type="girarIzquierda"></block>
		      <block type="girarDerecha"></block>
		      <block type="bucleFor"></block>
		      <block type="condicionalif"></block>
		      <block type="bucleWhile"></block>
		    </category>
		    <category name="Logic">
		      <block type="logic_compare"></block>
		      <block type="logic_operation"></block>
		      <block type="logic_boolean"></block>
		      <block type="logica_pare"></block>
		      <block type="logica_semaforoRojo"></block>
		      <block type="logica_semaforoNaranja"></block>
		      <block type="logica_semaforoVerde"></block>
		    </category>
		  </category>
		  <category name="Custom">
		    <block type="start"></block>
		    <category name="Move">
		      <block type="move_forward"></block>
		      <block type="move_backward"></block>
		    </category>
		    <category name="Turn">
		      <block type="turn_left"></block>
		      <block type="turn_right"></block>
		    </category>
		  </category>
		</xml>
	</div>
	
	
</body>
</html>

